#
# spec file for package perl-Authen-Captcha
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Authen-Captcha
Version:        1.024
Release:        1.1
%define cpan_name Authen-Captcha
Summary:        Perl extension for creating captcha's to verify the human element in tra[cut]
License:        and Ernesto Hernández-Novich This library is free software and you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation and either version 2 of the License, or (at your option) any later version. (see license.txt). This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY and without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program and if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Authen-Captcha/
Source0:        http://www.cpan.org/authors/id/L/LK/LKUNDRAK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(GD)
BuildRequires:  perl(String::Random)
Requires:       perl(GD)
Requires:       perl(String::Random)
%{perl_requires}

%description
Perl extension for creating captcha's to verify the human element in transactions.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples license.txt README

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 1.024
  see /usr/share/doc/packages/perl-Authen-Captcha/Changes
  2012-07-14 12:19  Lubomir Rintel
  * Captcha.pm: Hardcode version, don't get it from CVS.  Advise to use
  GD::SecurityImage.
  * Makefile.PM: Point to Git for now
  * Changes: updated changes - tagged as Rel-1_024
  2012-06-16 18:25  Lubomir Rintel
  * Makefile.PL: 5.005 is not really supported
  2012-06-16 18:18  Paolo Rossi
  * Captcha.pm: Broken locking lets images files build up
  2012-06-16 18:12  Lubomir Rintel
  * Makefile.PL: Fix File::Spec requirement
  2012-06-16 18:09  Chris Dunlop
  * Captcha.pm: Fix reading of codes database in taint mode
  2012-06-16 18:01  Ernesto Hernández-Novich
  * Captcha.pm: Spelling fix
  2012-06-16 17:54  Lubomir Rintel
  * Captcha.pm, Makefile.PL: Use Random tokens instead of MD5
  checksums
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.023
  * created by cpanspec 1.78.04
